(function($){
"use strict";

var isMobile = {
    Android: function() {
        return navigator.userAgent.match(/Android/i);
    },
    BlackBerry: function() {
        return navigator.userAgent.match(/BlackBerry/i);
    },
    iOS: function() {
        return navigator.userAgent.match(/iPhone|iPad|iPod/i);
    },
    Opera: function() {
        return navigator.userAgent.match(/Opera Mini/i);
    },
    Windows: function() {
        return navigator.userAgent.match(/IEMobile/i);
    },
    any: function() {
        return (isMobile.Android() || isMobile.BlackBerry() || isMobile.iOS() || isMobile.Opera() || isMobile.Windows());
    }
};

function equalHeightDiv(groupHeight) {
    groupHeight.each(function() {
        var tallest = 0; 
        $(this).find('.equal').each(function() {
            var thisHeight = $(this).height();                                      
            if(thisHeight > tallest) {
                tallest = thisHeight;
            }
        });
        $(this).find('.equal').height(tallest);
    });
}

$(document).ready(function(){

$('.sticky-sidebar').theiaStickySidebar({
  additionalMarginTop: 30
});

var player = new MediaElementPlayer('sonus-player', {
    features: ['playpause', 'current', 'progress', 'duration', 'tracks', 'volume', 'speed'],
    defaultSpeed: 1,
    startVolume: 0.8,
    duration: parseInt($('#sonus-player').attr('data-podcast-duration')),
    audioVolume: 'vertical',
    success: function(player, node){
        $('.sonus-player h3').css('display','block');
    }
});

$('.custom-slim-scroll').slimScroll({
    size: '5px',
    railVisible: true,
    allowPageScroll: true,
    height: 'auto'
});

$('.custom-slim-scroll-jump').slimScroll({
    size: '5px',
    railVisible: true,
    allowPageScroll: true,
    height: 'auto'
});

$('.listen-button').on('click', function(e){
    e.preventDefault();
    e.stopPropagation();
    var podcast_url = $(this).attr('data-podcast-url');
    var podcast_title = $(this).attr('data-podcast-title');
    var share_url = $(this).attr('data-share-url');
    var share_title = $(this).attr('data-share-title');
    $(".share-facebook").attr("href", "http://www.facebook.com/sharer.php?u=" + share_url);
    $(".share-twitter").attr("href", "https://twitter.com/share?text=" + share_title + "&url=" + share_url);
    $(".share-linkedin").attr("href", "https://www.linkedin.com/shareArticle?mini=true&url=" + share_url + "&title=" + share_title);
    $('#sonus-player').each(function(){
        player.pause();
        player.setSrc(podcast_url);
        $('.sonus-player h3').text(podcast_title);
        player.play();
    });
});

$('.close-newsletter').on('click', function(e){
    e.preventDefault();
    e.stopPropagation();
    $('.newsletter-box').addClass('close-action');
    $('.single-podcast-wrapper').removeClass('single-podcast-newsletter');
    jQuery.ajax({
      type: 'POST',
      url: ajaxPath.ajaxUrl,
      data: {status:"hide"},
      success: function(){}
    });
});

$('.jump-to-time').on('click', function(e){
    e.preventDefault();
    e.stopPropagation();
    var jumptime = $(this).attr('data-jump-time');
    $('#sonus-player').each(function(){
        player.pause();
        player.setCurrentTime(jumptime);
        player.play();
    });
});

$(".sonus-player-episodes, .sonus-player-seasons").on({
    mouseenter: function(){
        $('.sonus-player-seasons').addClass('open');
    },
    mouseleave: function(){
        $('.sonus-player-seasons').removeClass('open');
    }
});

$('.seasons-title ul li a').on('click', function(e){
    e.preventDefault();
    e.stopPropagation();
    var selectedTab = $(this).attr('data-tab');
    $('.seasons-title ul li').removeClass('active-tab');
    $(this).parent().addClass('active-tab');
    $('.seasons-listing ul').css('display','none');
    $('.seasons-listing ul.tab'+selectedTab).fadeIn();
});

$('.sonus-player-episodes').on('click', function(e){
    e.preventDefault();
    e.stopPropagation();
});

$(".sf-menu").superfish({
    delay: 0,
    animation: {opacity:'show',height:'show'},
    animationOut: {opacity:'hide',height:'hide'},
    speed: 'normal'
}).supposition();

$(".fitvids").fitVids();

$('.mobile-menu').slicknav({
    prependTo : '#mobileMenuWrap'
});
$('.slicknav_btn').on('click', function(){
  $('.slicknav_icon').toggleClass('open');
});

/* Search */
$('.search_button').on('click', function(e){
    e.preventDefault();
    e.stopPropagation();
    if($(this).hasClass('isOpenNo')){
        $('#search-wrapper').fadeIn();
        $("#search-wrapper input").focus();
        $('.search_button').removeClass('isOpenNo');
        $('.search_button').addClass('isOpenYes');
    }else{
        $('#search-wrapper').fadeOut();
        $('.search_button').removeClass('isOpenYes');
        $('.search_button').addClass('isOpenNo');
    }
});
$('#search-wrapper').on('click', function(e){
    e.preventDefault();
    e.stopPropagation();
    $(this).fadeIn();
    $(this).focus();
});
$('body').on('click', function(){
    $('#search-wrapper').fadeOut();
    $('.search_button').removeClass('isOpenYes');
    $('.search_button').addClass('isOpenNo');
});
/* Search */

});

$(window).load(function(){

    equalHeightDiv($('.equal-wrapper'));

    if(!isMobile.any()){

    }

});

})(jQuery);