<!--**************************************************************************************************/
/* Blog Post
************************************************************************************************** -->
    <div class="blog-entry <?php if (is_sticky()) { ?> sticky-post <?php } ?>"><!-- Blog Entry Start -->
        <article <?php post_class('clearfix'); ?> id="post-<?php the_ID(); ?>">
            <div class="row">
                <?php if(has_post_thumbnail(get_the_id())){ ?>
                    <div class="col-lg-4 col-sm-4">
                        <?php
                        $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'sonus-blog-thumbnail');
                        $image = $image[0]; 
                        ?> 
                        <a href="<?php the_permalink(); ?>"><img alt="<?php esc_attr_e("cover-image","sonus"); ?>" class="img-responsive rsp-img-center" src="<?php echo esc_url($image); ?>"></a>
                    </div>
                <?php } ?>
                <?php if(has_post_thumbnail(get_the_id())){ ?><div class="col-lg-8 col-sm-8"><?php } else { ?><div class="col-lg-12"><?php  } ?>
                    <div class="post-cat"><h6><?php the_category(', '); ?></h6></div>
                    <h2>
                        <a href="<?php the_permalink(); ?>"> <?php $title = get_the_title(); if($title != "" ) { 
                            $allowed_tag = array(
                                'i' => '',
                                'br' => '',
                            );
                            echo wp_kses( $title, $allowed_tag);
                            }  else { echo esc_attr($post_date = get_the_date()); }  
                         ?>
                         </a>
                    </h2>
                    <div class="post-elements clearfix"><!-- Post Materials -->
                        <ul class="clearfix">
                            <li><?php echo esc_attr__("by","sonus"); ?> <?php the_author_posts_link(); ?></li>
                                <?php if(comments_open() && !post_password_required()){ ?> 
                            <li>
                                <span class="blog-post-comments">
                                    <i class="fa fa-comments-o"></i> 
                                    <?php comments_popup_link( esc_html__('No comments yet','sonus'), esc_html__('1 Comment','sonus'), esc_html__('% Comments','sonus'), 'comments-link', esc_html__('Comments are off for this post','sonus')); ?>
                                </span>
                            </li>
                            <li><a title="<?php echo esc_attr($post_date = the_time('F j, Y g:i')); ?>" href="<?php the_permalink(); ?>" class="date"><?php echo esc_attr($post_date = the_time('j F')); ?></a></li>
                            <?php } ?>
                        </ul>
                    </div>
                    <div class="post-excerpt">
                        <?php $content_length = strlen(strip_tags(get_the_content()));  
                        echo sonus_excerpt(24); if($content_length >= 180){ echo "..";} ?>
                    </div>
                    <div class="read-more"><a href="<?php the_permalink(); ?>"><?php echo esc_attr__("Read More","sonus"); ?></a></div>
                </div>
            </div>
        </article>
    </div><!-- Blog Entry Finish -->