<?php 
function sonus_custom_styles(){
	
	global $sonus_opt;
	wp_enqueue_style('custom-style', get_template_directory_uri() . '/framework/assets/css/custom-style.css');

	$main_color = esc_attr($sonus_opt['main-color']);
	$second_color = esc_attr($sonus_opt['second-color']);
	$main_font = esc_attr($sonus_opt['font-1']['font-family']);
	//$title_font = esc_attr($sonus_opt[''.$sonus_opt['title-font'].'']['font-family']);

	$custom_css="
	cite, .profile-text a, .single-download-bar-left a i, .podcast-text a, .time-jump-title, .time-jump-list a span.jump-time, .post-cat, .post-cat a, .blog-entry .read-more a, .sidebar-widget h5, .footer-widget h5, .podcast-sponsor, .comment-author-admin .author h3:after, .latest-posts .read-more a, .host-desc ul li a, .episode-widget-text span,.newsletter-text,.post-text a{ color: {$main_color} !important; }

  	.nav ul li ul li, .profile-subscribe > ul > li:first-child, .single-download-bar, .sonus-player, .sonus-player .mejs__volume-button>.mejs__volume-slider, .mejs-speed-selector, .mejs__speed-selector, .pagination ul li a:hover, .pagination ul li.active, .comment-respond input[type=submit], .error-page .read-more.button a, .list-podcast-play-back, 	.list-podcast-play-back, .sonus-player-share, .sonus-player-share-list, .mobile-menu-bottom, .mejs-speed-selector, .mejs__speed-selector,.wpcf7 input[type='submit'],.newsletter-form input[type=submit],.slicknav_menu ul { background: {$main_color} !important; }

  	.profile-subscribe > ul > li:first-child, .comment-author-admin .author h3:after { border: 1px solid {$main_color} !important; }
  	.podcast-post-text a{ border-bottom: 2px solid {$main_color} !important; }

  	.mejs-speed-selected, .mejs__speed-selected, .footer-widget cite, .footer-container .episode-widget-text span, .footer-container .widget-recent-post-title-cont a.element-date,.mejs-speed-selected, .mejs__speed-selected { color: {$second_color} !important; }

  	.sonus-player .mejs__play, .sonus-player .mejs__pause, .sonus-player .mejs__replay, .sonus-player .mejs__volume-handle, .pagination ul li, .sidebar-widget input[type=submit], .footer-widget input[type=submit], .vertical-listing li:first-child .list-content:before, .list-image a:before, .vertical-listing li:first-child .list-content:before, .list-image a:before, 	.seasons-title ul li.active-tab,.vertical-listing .list-content .newest-post, .horizontal-listing .horizontal-list-content .newest-post,.sonus-player .mejs__volume-handle,.vertical-listing .list-content .newest-post, .horizontal-listing .horizontal-list-content .newest-post, .background-image-listing .newest-post { background: {$second_color} !important; }

  	.profile-text a, .podcast-text a, .time-jump-list a span.jump-time, .blog-entry .read-more a, .sidebar-widget h5, .footer-widget h5, .podcast-post-text a, .latest-posts .read-more a, .host-desc ul li a, .post-text a{ border-bottom: 2px solid {$second_color} !important; }

  	.sonus-player{ border-top: 4px solid {$second_color}; }

  	body, h1, h2, h3, h4, h5, h6, cite, .logo h1 a, .slicknav_btn .slicknav_menu, .slicknav_nav a, .sf-menu li a, .nav ul li ul li a, #search-wrapper input, .profile-text, .profile-text a, .profile-subscribe ul li a, .call-to-action-text h1, .call-to-action ul li a, .single-download-bar-left a, .single-download-bar-right a, .podcast-breadcrumb a, .single-podcast-text h1, .podcast-tags, .podcast-tags a, .podcast-text, .podcast-text a, .time-jump-title, .time-jump-list, .time-jump-list a, .sonus-player h3, .sonus-player .mejs__time, .blog-entry h2, .post-cat, .post-cat a, .post-elements ul li, .post-elements ul li a, .post-excerpt, .blog-entry .read-more a, .pagination ul li a, .sidebar-widget a, .footer-widget a, .footer-widget caption, .sidebar-widget input[type=submit], .footer-widget input[type=submit], .sidebar-widget h5, .footer-widget h5, h1.single-post-title, .post-text, .blog-post-tag span, .blog-post-tag a, .com-title h2, .comment-info-top a.element-date, .comment-area-box .comment-text, .comment-area-box .comment-text a, .search-notice, .comment-notes, .comment-notes span, .comment-form-label, .comment-respond input[type=submit], .error-page .read-more.button a, .footer-bottom-text, .sidebar-widget, .footer-widget, .logged-in-as, .logged-in-as a, .sonus-player-episodes a, .list-content h2 a, .podcast-info-elements li, .podcast-info-elements li a, .podcast-post-text, .podcast-post-text a, .vertical-listing li:first-child .list-content:before, .seasons-title ul li a, .seasons-listing ul li a .list-podcast-title, .seasons-listing ul li a .list-podcast-date, .seasons-listing ul li a .list-podcast-duration, .podcast-sponsor, .guest-profile-desc, .guest-profile-desc h5, .guest-profile-desc a, .comment-author-admin .author h3:after, .vertical-listing li:first-child .list-content:before, 	.list-content h2 a, .podcast-info-elements li, .podcast-info-elements li a, .podcast-post-text, .podcast-post-text a, 	.seasons-title ul li a, .seasons-listing ul li a .list-podcast-title, .seasons-listing ul li a .list-podcast-date, 	.seasons-listing ul li a .list-podcast-duration, .prev-next-podcast a, .podcast-listing h3.main-title, .listing-seasons a { font-family: {$main_font} !important; }
	";

	if(!empty($sonus_opt['header-background'])){
	$header_background = wp_get_attachment_image_src($sonus_opt['header-background']['id'], 'sonus-header-background');
	$custom_css .= "header:before{
		background: #fff url('$header_background[0]') center center no-repeat;
	}";
	}else{
		$custom_css .="header { background: {$main_color} !important; }";
	}

	wp_add_inline_style('custom-style', $custom_css);
}
add_action('wp_enqueue_scripts', 'sonus_custom_styles');
?>