<?php
/**
 * Registering meta boxes
 *
 * All the definitions of meta boxes are listed below with comments.
 * Please read them CAREFULLY.
 *
 * You also should read the changelog to know what has been changed before updating.
 *
 * For more information, please visit:
 * @link http://www.deluxeblogtips.com/meta-box/docs/define-meta-boxes
 */

/********************* META BOX DEFINITIONS ***********************/

/**
 * Prefix of meta keys (optional)
 * Use underscore (_) at the beginning to make keys hidden
 * Alt.: You also can make prefix empty to disable it
 */
// Better has an underscore as last sign


add_filter( 'rwmb_meta_boxes', 'sonus_register_meta_boxes' );
function sonus_register_meta_boxes( $meta_boxes ){

$prefix = 'sonus_';
global $sonus_opt;
global $meta_boxes;

$sidebars = $GLOBALS['wp_registered_sidebars'];
foreach ( $sidebars as $sidebar ){
   $sidebar_options[$sidebar['id']] = $sidebar['name'];
}

$meta_boxes = array();

/*-----------------------------------------------------------------------------------*/
/*  Gallery Post Format
/*-----------------------------------------------------------------------------------*/
$meta_boxes[] = array(
	'id'		=> 'sonus-blogmeta-gallery',
	'title'		=> esc_html__('Blog Post Image Slides','sonus-admin'),
	'pages'		=> array( 'post', ),
	'context' => 'normal',
	'fields'	=> array(
		array(
			'name'	=> esc_html__('Portfolio Gallery','sonus-admin'),
			'desc'	=> esc_html__('Max Photo Limit is 25','sonus-admin'),
			'id'	=> $prefix . 'post-gallery',
			'type'	=> 'image_advanced',
			'max_file_uploads' => 25,
		)
		
	)
);

/*-----------------------------------------------------------------------------------*/
/*  Audio Post Format
/*-----------------------------------------------------------------------------------*/
$meta_boxes[] = array(
	'id' => 'sonus-blogmeta-audio',
	'title' => esc_html__('Audio Settings','sonus-admin'),
	'pages' => array( 'post'),
	'context' => 'normal',
	'fields' => array(	
		array(
			'name'		=> esc_html__('Audio Code','sonus-admin'),
			'id'		=> $prefix . 'post-audio',
			'desc'		=> esc_html__('Enter your Audio URL(Oembed) or Embed Code.','sonus-admin'),
			'clone'		=> false,
			'type'		=> 'textarea',
			'std'		=> ''
		),
		
	)
);

/*-----------------------------------------------------------------------------------*/
/*  Video Post Format
/*-----------------------------------------------------------------------------------*/
$meta_boxes[] = array(
	'id'		=> 'sonus-blogmeta-video',
	'title'		=> esc_html__('Blog Video Settings','sonus-admin'),
	'pages'		=> array( 'post' ),
	'context' => 'normal',
	'fields'	=> array(
		array(
			'name'	=> esc_html__('Embed Code','sonus-admin'),
			'id'	=> $prefix . 'post-video',
			'desc'	=> esc_html__('Insert paste embed code','sonus-admin'),
			'type' 	=> 'textarea',
			'std' 	=> "",
			'cols' 	=> "38",
			'rows' 	=> "10"
		)
	)
);

/*-----------------------------------------------------------------------------------*/
/*  Podcast Post Format
/*-----------------------------------------------------------------------------------*/
$meta_boxes[] = array(
	'id'		=> 'sonus-blogmeta-aside',
	'title'		=> esc_html__('Podcast Settings','sonus-admin'),
	'pages'		=> array( 'post' ),
	'context' => 'normal',
	'fields'	=> array(
		array(
			'name'	=> esc_html__('Podcast MP3','sonus-admin'),
			'id'	=> $prefix . 'podcast-file',
			'desc'	=> esc_html__('Please upload your podcast mp3 file','sonus-admin'),
			'type' 	=> 'file_advanced',
		),
		array(
			'name'	=> esc_html__('Podcast External MP3 URL','sonus-admin'),
			'id'	=> $prefix . 'podcast-file-external',
			'desc'	=> esc_html__('If you are using different hosting for mp3 files please write your mp3 url here.','sonus-admin'),
			'type' 	=> 'text',
		),
		array(
			'name'	=> esc_html__('Podcast External MP3 Duration','sonus-admin'),
			'id'	=> $prefix . 'podcast-file-external-duration',
			'desc'	=> esc_html__('Example: 5:30','sonus-admin'),
			'type' 	=> 'text',
		),
		array(
			'name'	=> esc_html__('Podcast External MP3 File Size','sonus-admin'),
			'id'	=> $prefix . 'podcast-file-external-fsize',
			'desc'	=> esc_html__('Example: 3.21 MB','sonus-admin'),
			'type' 	=> 'text',
		),
		array(
			'name'	=> esc_html__('Podcast Embed(Youtube, Vimeo, Soundcloud)','sonus-admin'),
			'id'	=> $prefix . 'podcast-embed',
			'type' 	=> 'textarea'
		),
		array(
			'name'	=> esc_html__('Podcast Episode Number','sonus-admin'),
			'id'	=> $prefix . 'podcast-episode-number',
			'desc'	=> esc_html__('Podcast Episode Number for iTunes Feed','sonus-admin'),
			'type' 	=> 'text',
		),
		array(
			'type' 	=> 'divider',
		),
		array(
			'name'	=> esc_html__('Podcast Transcript','sonus-admin'),
			'id'	=> $prefix . 'podcast-time-jump',
			'desc'	=> esc_html__('Please add your time jump like this > 01:15-- Example text ','sonus-admin'),
			'type' 	=> 'text',
			'clone' => true
		),
		array(
			'type' 	=> 'divider',
		),
		array(
			'name'	=> esc_html__('Podcast Sponsor','sonus-admin'),
			'id'	=> $prefix . 'podcast-sponsor',
			'desc'	=> esc_html__('You can use html tag','sonus-admin'),
			'type' 	=> 'text'
		),
		array(
			'type' 	=> 'divider',
		),
		array(
			'name'	=> esc_html__('Podcast Guest Name','sonus-admin'),
			'id'	=> $prefix . 'podcast-guest-name',
			'type' 	=> 'text'
		),
		array(
			'name'	=> esc_html__('Podcast Guest Description','sonus-admin'),
			'id'	=> $prefix . 'podcast-guest-desc',
			'type' 	=> 'text'
		),
		array(
			'name'	=> esc_html__('Podcast Guest Picture','sonus-admin'),
			'id'	=> $prefix . 'podcast-guest-image',
			'desc'	=> esc_html__('Image Size: 190x190','sonus-admin'),
			'type' 	=> 'image_advanced'
		),
		array(
			'name'	=> esc_html__('Podcast Guest Links','sonus-admin'),
			'id'	=> $prefix . 'podcast-guest-links',
			'desc'	=> esc_html__('Use html tags. Example: <a href="url">Link</a>','sonus-admin'),
			'type' 	=> 'text'
		),
	)
);


	return $meta_boxes;
}