<?php
    /**
     * ReduxFramework Sample Config File
     * For full documentation, please visit: http://docs.reduxframework.com/
     */

    if ( ! class_exists( 'Redux' ) ) {
        $opt_name = "sonus_opt";
        $sonus_opt['podcast-mode'] = 0;
        $sonus_opt['main-color'] = "#2226A6";
        $sonus_opt['second-color'] = "#F5C320";
        $sonus_opt['font-1']['font-family'] = "Source Sans Pro";
        $sonus_opt['copyright-text'] = "Sonus";
        $sonus_opt['page-comment'] = 1;
        $sonus_opt['author-box'] = 0;
        $sonus_opt['related-posts'] = 0;
        $sonus_opt['sidebar-podcast'] = 0;
        $sonus_opt['header-background'] = "";
        $sonus_opt['logo'] = "";
        $sonus_opt['logo-text'] = "Sonus";
        $sonus_opt['logo-height'] = 30;
        $sonus_opt['favicon'] = "";
        $sonus_opt['newsletter-visibility'] = 0;
        $sonus_opt['call-status'] = 0;
        $sonus_opt['newsletter-text'] = "LET ME KNOW NEW EPISODES";
        $sonus_opt['newsletter-url'] = "";
        $sonus_opt['profile-picture'] = "";
        $sonus_opt['information-text'] = "";
        $sonus_opt['subscribe-visibility'] = true;
        $sonus_opt['subscribe-1-text'] = "";
        $sonus_opt['subscribe-1-icon'] = "";
        $sonus_opt['subscribe-1-url'] = "";
        $sonus_opt['subscribe-2-text'] = "";
        $sonus_opt['subscribe-2-icon'] = "";
        $sonus_opt['subscribe-2-url'] = "";
        $sonus_opt['subscribe-3-text'] = "";
        $sonus_opt['subscribe-3-icon'] = "";
        $sonus_opt['subscribe-3-url'] = "";
        $sonus_opt['subscribe-4-text'] = "";
        $sonus_opt['subscribe-4-icon'] = "";
        $sonus_opt['subscribe-4-url'] = "";
        $sonus_opt['subscribe-5-text'] = "";
        $sonus_opt['subscribe-5-icon'] = "";
        $sonus_opt['subscribe-5-url'] = "";
        $sonus_opt['subscribe-6-text'] = "";
        $sonus_opt['subscribe-6-text'] = "";
        $sonus_opt['subscribe-6-icon'] = "";
        $sonus_opt['subscribe-7-icon'] = "";
        $sonus_opt['subscribe-7-url'] = "";
        $sonus_opt['subscribe-7-url'] = "";
        $sonus_opt['social-media-visibility'] = true;
    }else{
    // This is your option name where all the Redux data is stored.
    $opt_name = "sonus_opt";

    if(get_option('permalink_structure')){
        $feed_url = home_url('/') . 'feed/sonus-feed';
    } else {
        $feed_url = home_url('/') . '?feed=sonus-feed';
    }

    $theme = wp_get_theme(); // For use with some settings. Not necessary.

    $args = array(
        // TYPICAL -> Change these values as you need/desire
        'opt_name'             => $opt_name,
        'disable_tracking'     => true,
        // This is where your data is stored in the database and also becomes your global variable name.
        'display_name'         => $theme->get( 'Name' ),
        // Name that appears at the top of your panel
        'display_version'      => $theme->get( 'Version' ),
        // Version that appears at the top of your panel
        'menu_type'            => 'menu',
        //Specify if the admin menu should appear or not. Options: menu or submenu (Under appearance only)
        'allow_sub_menu'       => true,
        // Show the sections below the admin menu item or not
        'menu_title'           => esc_html__( 'Sonus Options', 'sonus-admin' ),
        'page_title'           => esc_html__( 'Sonus Options', 'sonus-admin' ),
        // You will need to generate a Google API key to use this feature.
        // Please visit: https://developers.google.com/fonts/docs/developer_api#Auth
        'google_api_key'       => 'AIzaSyC_DvFJA7SljYfSGUwT-N5VQWhz2iMK-RQ',
        // Set it you want google fonts to update weekly. A google_api_key value is required.
        'google_update_weekly' => false,
        // Must be defined to add google fonts to the typography module
        'async_typography'     => true,
        // Use a asynchronous font on the front end or font string
        //'disable_google_fonts_link' => true,                    // Disable this in case you want to create your own google fonts loader
        'admin_bar'            => false,
        // Show the panel pages on the admin bar
        'admin_bar_icon'       => '',
        // Choose an icon for the admin bar menu
        'admin_bar_priority'   => 50,
        // Choose an priority for the admin bar menu
        'global_variable'      => '',
        // Set a different name for your global variable other than the opt_name
        'dev_mode'             => false,
        // Show the time the page took to load, etc
        'update_notice'        => true,
        // If dev_mode is enabled, will notify developer of updated versions available in the GitHub Repo
        'customizer'           => true,
        // Enable basic customizer support
        //'open_expanded'     => true,                    // Allow you to start the panel in an expanded way initially.
        //'disable_save_warn' => true,                    // Disable the save warning when a user changes a field

        // OPTIONAL -> Give you extra features
        'page_priority'        => null,
        // Order where the menu appears in the admin area. If there is any conflict, something will not show. Warning.
        'page_parent'          => 'themes.php',
        // For a full list of options, visit: http://codex.wordpress.org/Function_Reference/add_submenu_page#Parameters
        'page_permissions'     => 'manage_options',
        // Permissions needed to access the options panel.
        'menu_icon'            => SONUS_IMAGES.'/redux-framework.png',
        // Specify a custom URL to an icon
        'last_tab'             => '',
        // Force your panel to always open to a specific tab (by id)
        'page_icon'            => 'icon-themes',
        // Icon displayed in the admin panel next to your menu_title
        'page_slug'            => '',
        // Page slug used to denote the panel, will be based off page title then menu title then opt_name if not provided
        'save_defaults'        => true,
        // On load save the defaults to DB before user clicks save or not
        'default_show'         => false,
        // If true, shows the default value next to each field that is not the default value.
        'default_mark'         => '',
        // What to print by the field's title if the value shown is default. Suggested: *
        'show_import_export'   => true,
        // Shows the Import/Export panel when not used as a field.

        // CAREFUL -> These options are for advanced use only
        'transient_time'       => 60 * MINUTE_IN_SECONDS,
        'output'               => true,
        // Global shut-off for dynamic CSS output by the framework. Will also disable google fonts output
        'output_tag'           => true,
        // Allows dynamic CSS to be generated for customizer and google fonts, but stops the dynamic CSS from going to the head
        // 'footer_credit'     => '',                   // Disable the footer credit of Redux. Please leave if you can help it.
        'show_options_object' => false,
        'show_import_export' => true,
        // FUTURE -> Not in use yet, but reserved or partially implemented. Use at your own risk.
        'database'             => '',
        // possible: options, theme_mods, theme_mods_expanded, transient. Not fully functional, warning!
        'system_info'          => false,
        // REMOVE

        //'compiler'             => true,

        // HINTS
        'hints'                => array(
            'icon'          => 'el el-question-sign',
            'icon_position' => 'right',
            'icon_color'    => 'lightgray',
            'icon_size'     => 'normal',
            'tip_style'     =>  array(
                'color'     => 'light',
                'shadow'    =>  true,
                'rounded'   =>  false,
                'style'     =>  '',
            ),
            'tip_position'  => array(
                'my'        => 'top left',
                'at'        => 'bottom right',
            ),
            'tip_effect'    => array(
                'show' => array(
                    'effect'   => 'slide',
                    'duration' => '500',
                    'event'    => 'mouseover',
                ),
                'hide' => array(
                    'effect'   => 'slide',
                    'duration' => '500',
                    'event'    => 'click mouseleave',
                ),
            ),
        )
    );

    // SOCIAL ICONS -> Setup custom links in the footer for quick links in your panel footer icons.
  
    $args['share_icons'][] = array(
        'url'   => 'https://www.facebook.com/2035Themes',
        'title' => 'Like us on Facebook',
        'icon'  => 'el el-facebook'
    );
    $args['share_icons'][] = array(
        'url'   => 'http://twitter.com/2035Themes',
        'title' => 'Follow us on Twitter',
        'icon'  => 'el el-twitter'
    );

    Redux::setArgs( $opt_name, $args );

    Redux::setSection( $opt_name, array(
        'title' => esc_html__( 'General', 'sonus-admin' ),
        'id'    => 'general',
        'icon'  => 'el el-home',
        'fields'     => array(
            array(
                'id' => 'podcast-mode',
                'type' => 'switch',
                'title' => __('Podcast Mode', 'sonus-admin'),
                "default" => 0,
            ),
            array(
                'id'       => 'main-color',
                'type'     => 'color',
                'title'    => esc_html__( 'Main Color', 'sonus-admin' ),
                'subtitle' => esc_html__( 'Pick a main color for the theme (Default: #2226A6).', 'sonus-admin' ),
                'default'  => '#2226A6',
            ),
            array(
                'id'       => 'second-color',
                'type'     => 'color',
                'title'    => esc_html__( 'Second Color', 'sonus-admin' ),
                'subtitle' => esc_html__( 'Pick a second color for the theme (Default: #e13b73).', 'sonus-admin' ),
                'default'  => '#e13b73',
            ),
            array(
                'id'          => 'font-1',
                'type'        => 'typography',
                'title'       => __( 'Font', 'sonus-admin' ),
                'font-backup' => false,
                'font-size' => false,
                'font-weight' => true,
                'font-style' => false,
                'text-align' => false,
                'line-height'   => false,
                'color'   => false,
                'letter-spacing'=> false,  // Defaults to false
                'subsets'  => true,
                'all_styles'  => true,
                'subtitle'    => __( 'Typography option with each property can be called individually.', 'sonus-admin' ),
                'default'     => array(
                    'font-family' => 'Source Sans Pro',
                    'google'      => true,
                ),
            ),
            array(
                'id' => 'copyright-text',
                'type' => 'text',
                'title' => __('Footer Copyright Text', 'sonus-admin'),
                'subtitle' => __('Footer Copyright Text', 'sonus-admin'),
                'default' => "Sonus",
            ),
            array(
                'id' => 'page-comment',
                'type' => 'switch',
                'title' => __('Show Comments on Page', 'sonus-admin'),
                "default" => 1,
            ),
            array(
                'id' => 'author-box',
                'type' => 'switch',
                'title' => __('Author Box on Single', 'sonus-admin'),
                "default" => 0,
            ),
            array(
                'id' => 'related-posts',
                'type' => 'switch',
                'title' => __('Related Posts on Single', 'sonus-admin'),
                "default" => 0,
            ),
            array(
                'id' => 'sidebar-podcast',
                'type' => 'switch',
                'title' => __('Sidebar For Podcast Single Page', 'sonus-admin'),
                "default" => 0,
            ),
        ),
    ));

    Redux::setSection( $opt_name, array(
        'icon' => 'el-icon-website',
        'title' => __('Header', 'sonus-admin'),
        'fields' => array(
            array(
                'id' => 'header-background',
                'type' => 'media',
                'title' => __('Header Background Image', 'sonus-admin'),
                'compiler' => 'true',
                'mode' => false, // Can be set to false to allow any media type, or can also be set to any mime type.
                'desc' => __('Header Background', 'sonus-admin'),
                'subtitle' => __('Upload Image', 'sonus-admin'),
            ),
            array(
                'id' => 'section-logo-start',
                'type' => 'section',
                'title' => __('Logo & Favicon', 'sonus-admin'),
                'indent' => true,
            ),
            array(
                'id' => 'logo',
                'type' => 'media',
                'title' => __('Logo', 'sonus-admin'),
                'compiler' => 'true',
                'mode' => false, // Can be set to false to allow any media type, or can also be set to any mime type.
                'desc' => __('Logo', 'sonus-admin'),
                'subtitle' => __('Upload Logo', 'sonus-admin'),
            ),
            array(
                'id' => 'logo-text',
                'type' => 'text',
                'title' => __('Logo Text', 'sonus-admin'),
                'subtitle' => __('If you\'re not using image logo please write your logo text.', 'sonus-admin'),
                'default' => "Sonus",
            ),
            array(
                'id'       => 'logo-height',
                'type'     => 'spinner', 
                'title'    => __('Logo Height', 'sonus-admin'),
                'subtitle' => __('Please select your logo height(Unit: px)','sonus-admin'),
                'default'  => '60',
                'min'      => '10',
                'step'     => '1',
                'max'      => '500',
            ),
            array(
                'id' => 'favicon',
                'type' => 'media',
                'title' => __('Favicon', 'sonus-admin'),
                'compiler' => 'true',
                'mode' => false, // Can be set to false to allow any media type, or can also be set to any mime type.
                'desc' => __('Favicon', 'sonus-admin'),
            ),
            array(
                'id' => 'section-newsletter-start',
                'type' => 'section',
                'title' => __('Newsletter', 'sonus-admin'),
                'indent' => true,
            ),
            array(
                'id' => 'newsletter-visibility',
                'type' => 'switch',
                'title' => __('Show Newsletter Box', 'sonus-admin'),
                "default" => 0,
            ),
            array(
                'id' => 'newsletter-text',
                'type' => 'text',
                'required' => array('newsletter-visibility', 'equals', true),
                'title' => __('Newsletter Text', 'sonus-admin'),
                'default' => 'LET ME KNOW NEW EPISODES',
            ),
            array(
                'id' => 'newsletter-url',
                'required' => array('newsletter-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Mailchimp URL', 'sonus-admin'),
            ),
        )
    ));

    Redux::setSection( $opt_name, array(
        'icon' => 'el-icon-website',
        'title' => __('Information Box', 'sonus-admin'),
        'fields' => array(
            array(
                'id' => 'profile-picture',
                'type' => 'media',
                'title' => __('Profile Picture', 'sonus-admin'),
                'compiler' => 'true',
                'mode' => false, // Can be set to false to allow any media type, or can also be set to any mime type.
                'desc' => __('Please upload your profile picture.', 'sonus-admin'),
                'subtitle' => __('Upload Image', 'sonus-admin'),
            ),
            array(
                'id'       => 'information-text',
                'type'     => 'textarea',
                'title'    => esc_html__('Information Text', 'sonus-admin'),
                'desc' => __('You can use html a tag.', 'sonus-admin'),
            ),
            array(
                'id'       => 'subscribe',
                'type'     => 'section',
                'title'    => __( 'Subscribe Area', 'sonus-admin' ),
                'subtitle' => __( 'You can use FontAwesome icons or image. Please write FontAwesome icon name or image url in icon textbox. Here is the full list of icons http://fontawesome.io/icons/', 'sonus-admin' ),
                'indent'   => true, 
            ),
            array(
                'id'       => 'subscribe-visibility',
                'type'     => 'switch',
                'title'    => __( 'Subscribe Visibility', 'sonus-admin' ),
                'subtitle' => __( 'Subscribe Visibility (Default : Show)', 'sonus-admin' ),
                'default'  => true,
            ),
            array(
                'id' => 'subscribe-1-text',
                'required' => array('subscribe-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Subscribe 1 Text', 'sonus-admin'),
            ),
            array(
                'id' => 'subscribe-1-icon',
                'required' => array('subscribe-visibility', 'equals', true),
                'type' => 'text',
                'default' => 'apple',
                'title' => __('Subscribe 1 Icon', 'sonus-admin'),
            ),
            array(
                'id' => 'subscribe-1-url',
                'required' => array('subscribe-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Subscribe 1 URL', 'sonus-admin'),
            ),
            array(
                'id' => 'subscribe-2-text',
                'required' => array('subscribe-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Subscribe 2 Text', 'sonus-admin'),
            ),
            array(
                'id' => 'subscribe-2-icon',
                'required' => array('subscribe-visibility', 'equals', true),
                'type' => 'text',
                'default' => 'http://www.example.com/image.png',
                'title' => __('Subscribe 2 Icon', 'sonus-admin'),
            ),
            array(
                'id' => 'subscribe-2-url',
                'required' => array('subscribe-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Subscribe 2 URL', 'sonus-admin'),
            ),
            array(
                'id' => 'subscribe-3-text',
                'required' => array('subscribe-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Subscribe 3 Text', 'sonus-admin'),
            ),
            array(
                'id' => 'subscribe-3-icon',
                'required' => array('subscribe-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Subscribe 3 Icon', 'sonus-admin'),
            ),
            array(
                'id' => 'subscribe-3-url',
                'required' => array('subscribe-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Subscribe 3 URL', 'sonus-admin'),
            ),
            array(
                'id' => 'subscribe-4-text',
                'required' => array('subscribe-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Subscribe 4 Text', 'sonus-admin'),
            ),
            array(
                'id' => 'subscribe-4-icon',
                'required' => array('subscribe-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Subscribe 4 Icon', 'sonus-admin'),
            ),
            array(
                'id' => 'subscribe-4-url',
                'required' => array('subscribe-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Subscribe 4 URL', 'sonus-admin'),
            ),
            array(
                'id' => 'subscribe-5-text',
                'required' => array('subscribe-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Subscribe 5 Text', 'sonus-admin'),
            ),
            array(
                'id' => 'subscribe-5-icon',
                'required' => array('subscribe-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Subscribe 5 Icon', 'sonus-admin'),
            ),
            array(
                'id' => 'subscribe-5-url',
                'required' => array('subscribe-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Subscribe 5 URL', 'sonus-admin'),
            ),
            array(
                'id' => 'subscribe-6-text',
                'required' => array('subscribe-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Subscribe 6 Text', 'sonus-admin'),
            ),
            array(
                'id' => 'subscribe-6-icon',
                'required' => array('subscribe-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Subscribe 6 Icon', 'sonus-admin'),
            ),
            array(
                'id' => 'subscribe-6-url',
                'required' => array('subscribe-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Subscribe 6 URL', 'sonus-admin'),
            ),
            array(
                'id' => 'subscribe-7-text',
                'required' => array('subscribe-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Subscribe 7 Text', 'sonus-admin'),
            ),
            array(
                'id' => 'subscribe-7-icon',
                'required' => array('subscribe-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Subscribe 7 Icon', 'sonus-admin'),
            ),
            array(
                'id' => 'subscribe-7-url',
                'required' => array('subscribe-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Subscribe 7 URL', 'sonus-admin'),
            ),
            array(
                'id'       => 'social-media',
                'type'     => 'section',
                'title'    => __( 'Social Media', 'sonus-admin' ),
                'indent'   => true, 
            ),          
            array(
                'id'       => 'social-media-visibility',
                'type'     => 'switch',
                'title'    => __( 'Social Media Visibility', 'sonus-admin' ),
                'subtitle' => __( 'Social Media Visibility (Default : Show)', 'sonus-admin' ),
                'default'  => true,
            ),
            array(
                'id' => 'facebook-header',
                'required'    => array('social-media-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Facebook', 'sonus-admin'),
                'desc' => __('Facebook URL', 'sonus-admin'),
                'subtitle' => __('Facebook URL', 'sonus-admin'),
                'default' => 'https://facebook.com/2035themes'
            ), 
            array(
                'id' => 'twitter-header',
                'required'    => array('social-media-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Twitter', 'sonus-admin'),
                'desc' => __('Twitter URL', 'sonus-admin'),
                'subtitle' => __('Twitter URL', 'sonus-admin'),
                'default' => 'https://twitter.com/2035themes'
            ),
            array(
                'id' => 'spotify-header',
                'required'    => array('social-media-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Spotify', 'sonus-admin'),
                'desc' => __('Spotify URL', 'sonus-admin'),
                'subtitle' => __('Spotify URL', 'sonus-admin'),
                'default' => 'https://spotify.com/2035themes'
            ),
            array(
                'id' => 'apple-header',
                'required'    => array('social-media-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Apple', 'sonus-admin'),
                'desc' => __('Apple URL', 'sonus-admin'),
                'subtitle' => __('Apple URL', 'sonus-admin'),
                'default' => ''
            ),
            array(
                'id' => 'instagram-header',
                'required'    => array('social-media-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Instagram', 'sonus-admin'),
                'desc' => __('instagram URL', 'sonus-admin'),
                'subtitle' => __('instagram URL', 'sonus-admin'),
                'default' => ''
            ),
            array(
                'id' => 'google-plus-header',
                'required'    => array('social-media-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Google + URL', 'sonus-admin'),
                'desc' => __('Google + URL', 'sonus-admin'),
                'subtitle' => __('Google + URL', 'sonus-admin'),
                'default' => ''
            ),
            array(
                'id' => 'youtube-header',
                'required'    => array('social-media-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Youtube', 'sonus-admin'),
                'desc' => __('Youtube Username', 'sonus-admin'),
                'subtitle' => __('Youtube Username', 'sonus-admin'),
                'default' => ''
            ),
            array(
                'id' => 'pinterest-header',
                'required'    => array('social-media-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Pinterest', 'sonus-admin'),
                'desc' => __('Pinterest URL', 'sonus-admin'),
                'subtitle' => __('Pinterest URL', 'sonus-admin'),
                'default' => ''
            ),
            array(
                'id' => 'snapchat-header',
                'required'    => array('social-media-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Snapchat', 'sonus-admin'),
                'desc' => __('Snapchat URL', 'sonus-admin'),
                'subtitle' => __('Snapchat URL', 'sonus-admin'),
                'default' => ''
            ),
            array(
                'id' => 'skype-header',
                'required'    => array('social-media-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Skype', 'sonus-admin'),
                'desc' => __('Skype URL', 'sonus-admin'),
                'subtitle' => __('Skype URL', 'sonus-admin'),
                'default' => ''
            ), 
            array(
                'id' => 'tumblr-header',
                'required'    => array('social-media-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Tumblr', 'sonus-admin'),
                'desc' => __('Tumblr URL', 'sonus-admin'),
                'subtitle' => __('Tumblr URL', 'sonus-admin'),
                'default' => ''
            ),
            array(
                'id' => 'medium-header',
                'required'    => array('social-media-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Medium', 'sonus-admin'),
                'desc' => __('Medium URL', 'sonus-admin'),
                'subtitle' => __('Medium URL', 'sonus-admin'),
                'default' => ''
            ),
            array(
                'id' => 'vimeo-header',
                'required'    => array('social-media-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Vimeo', 'sonus-admin'),
                'desc' => __('Vimeo URL', 'sonus-admin'),
                'subtitle' => __('Vimeo URL', 'sonus-admin'),
                'default' => ''
            ),
            array(
                'id' => 'foursquare-header',
                'required'    => array('social-media-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Foursquare', 'sonus-admin'),
                'desc' => __('Foursquare URL', 'sonus-admin'),
                'subtitle' => __('Foursquare URL', 'sonus-admin'),
                'default' => ''
            ),
            array(
                'id' => 'flickr-header',
                'required'    => array('social-media-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Flickr', 'sonus-admin'),
                'desc' => __('Flickr URL', 'sonus-admin'),
                'subtitle' => __('Flickr URL', 'sonus-admin'),
                'default' => ''
            ),
            array(
                'id' => 'linkedin-header',
                'required'    => array('social-media-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Linkedin', 'sonus-admin'),
                'desc' => __('Linkedin URL', 'sonus-admin'),
                'subtitle' => __('Linkedin URL', 'sonus-admin'),
                'default' => ''
            ),
            array(
                'id' => 'quora-header',
                'required'    => array('social-media-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Quora', 'sonus-admin'),
                'desc' => __('Quora URL', 'sonus-admin'),
                'subtitle' => __('Quora URL', 'sonus-admin'),
                'default' => ''
            ),
            array(
                'id' => 'twitch-header',
                'required'    => array('social-media-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Twitch', 'sonus-admin'),
                'desc' => __('Twitch URL', 'sonus-admin'),
                'subtitle' => __('Twitch URL', 'sonus-admin'),
                'default' => ''
            ),
            array(
                'id' => 'custom-social-site-1',
                'required'    => array('social-media-visibility', 'equals', true),
                'type' => 'section',
                'title' => __('Custom Social Site 1', 'sonus-admin'),
                'subtitle' => __('Custom Social Site 1', 'sonus-admin'),
                'indent' => true // Indent all options below until the next 'section' option is set.
            ),      
            array(
                'id' => 'custom-site-name-1',
                'required'    => array('social-media-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Custom Site Name - 1', 'sonus-admin'),
                'desc' => __('Custom Site Name', 'sonus-admin'),
                'subtitle' => __('Write Custom Site Name (Example : Bloglovin, Rolling Stone)', 'sonus-admin'),
                'default' => ''
            ),       
            array(
                'id' => 'custom-site-url-1',
                'required'    => array('social-media-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Custom Site URL - 1', 'sonus-admin'),
                'desc' => __('Custom Site URL', 'sonus-admin'),
                'subtitle' => __('Write Custom Site URL', 'sonus-admin'),
                'default' => ''
            ),  
            array(
                'id' => 'custom-site-logo-1',
                'required'    => array('social-media-visibility', 'equals', true),
                'type' => 'media',
                'title' => __('Custom Site Logo - 1', 'sonus-admin'),
                'compiler' => 'true',
                'mode' => false, // Can be set to false to allow any media type, or can also be set to any mime type.
                'desc' => __('Logo', 'sonus-admin'),
                'subtitle' => __('Upload Logo (16px x 16px)', 'sonus-admin'),
            ),    

            array(
                'id' => 'custom-social-site-2',
                'required'    => array('social-media-visibility', 'equals', true),
                'type' => 'section',
                'title' => __('Custom Social Site 2', 'sonus-admin'),
                'subtitle' => __('Custom Social Site 2', 'sonus-admin'),
                'indent' => true // Indent all options below until the next 'section' option is set.
            ),    
            array(
                'id' => 'custom-site-name-2',
                'required'    => array('social-media-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Custom Site Name - 2', 'sonus-admin'),
                'desc' => __('Custom Site Name', 'sonus-admin'),
                'subtitle' => __('Write Custom Site Name (Example : Bloglovin, Rolling Stone)', 'sonus-admin'),
                'default' => ''
            ),       
            array(
                'id' => 'custom-site-url-2',
                'required'    => array('social-media-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Custom Site URL - 2', 'sonus-admin'),
                'desc' => __('Custom Site URL', 'sonus-admin'),
                'subtitle' => __('Write Custom Site URL', 'sonus-admin'),
                'default' => ''
            ),  
            array(
                'id' => 'custom-site-logo-2',
                'required'    => array('social-media-visibility', 'equals', true),
                'type' => 'media',
                'title' => __('Custom Site Logo - 2', 'sonus-admin'),
                'compiler' => 'true',
                'mode' => false, // Can be set to false to allow any media type, or can also be set to any mime type.
                'desc' => __('Logo', 'sonus-admin'),
                'subtitle' => __('Upload Logo (16px x 16px)', 'sonus-admin'),
            ),  
            array(
                'id' => 'custom-social-site-3',
                'required'    => array('social-media-visibility', 'equals', true),
                'type' => 'section',
                'title' => __('Custom Social Site 3', 'sonus-admin'),
                'subtitle' => __('Custom Social Site 3', 'sonus-admin'),
                'indent' => true // Indent all options below until the next 'section' option is set.
            ),      
            array(
                'id' => 'custom-site-name-3',
                'required'    => array('social-media-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Custom Site Name - 3', 'sonus-admin'),
                'desc' => __('Custom Site Name', 'sonus-admin'),
                'subtitle' => __('Write Custom Site Name (Example : Bloglovin, Rolling Stone)', 'sonus-admin'),
                'default' => ''
            ),       
            array(
                'id' => 'custom-site-url-3',
                'required'    => array('social-media-visibility', 'equals', true),
                'type' => 'text',
                'title' => __('Custom Site URL - 3', 'sonus-admin'),
                'desc' => __('Custom Site URL', 'sonus-admin'),
                'subtitle' => __('Write Custom Site URL', 'sonus-admin'),
                'default' => ''
            ),  
            array(
                'id' => 'custom-site-logo-3',
                'required'    => array('social-media-visibility', 'equals', true),
                'type' => 'media',
                'title' => __('Custom Site Logo - 3', 'sonus-admin'),
                'compiler' => 'true',
                'mode' => false, // Can be set to false to allow any media type, or can also be set to any mime type.
                'desc' => __('Logo', 'sonus-admin'),
                'subtitle' => __('Upload Logo (16px x 16px)', 'sonus-admin'),
            ),
        )
    ));

    Redux::setSection( $opt_name, array(
        'icon' => 'el-icon-website',
        'title' => __('Call to Action', 'sonus-admin'),
        'fields' => array(
            array(
                'id' => 'call-status',
                'type' => 'switch',
                'title' => __('Call to Action Visibility', 'sonus-admin'),
                "default" => 0,
            ),
            array(
                'id'       => 'call-background-color',
                'type'     => 'color',
                'title'    => esc_html__( 'Call to Action Background Color', 'sonus-admin' ),
                'default'  => '#F5C320',
            ),
            array(
                'id'       => 'call-text',
                'type'     => 'text',
                'title'    => esc_html__('Call to Action Text', 'sonus-admin')
            ),
            array(
                'id'       => 'call-button1-text',
                'type'     => 'text',
                'title'    => esc_html__('Call to Action Button 1 Text', 'sonus-admin')
            ),
            array(
                'id'       => 'call-button1-url',
                'type'     => 'text',
                'title'    => esc_html__('Call to Action Button 1 URL', 'sonus-admin')
            ),
            array(
                'id'       => 'call-button2-text',
                'type'     => 'text',
                'title'    => esc_html__('Call to Action Button 1 Text', 'sonus-admin')
            ),
            array(
                'id'       => 'call-button2-url',
                'type'     => 'text',
                'title'    => esc_html__('Call to Action Button 1 URL', 'sonus-admin')
            ),
        )
    ));

    Redux::setSection( $opt_name, array(
        'title' => esc_html__( 'Podcast Feed', 'sonus-admin' ),
        'id'    => 'rss-feed',
        'icon'  => 'el el-website',
        'fields'     => array(

          

            array(
                'id' => 'feed-title',
                'type' => 'text',
                'title' => __('Podcast Title', 'sonus-admin'),
                'subtitle' => __('Podcast Title', 'sonus-admin'),
                'default' => get_bloginfo('name'),
            ), 

            array(
                'id' => 'feed-language',
                'type' => 'text',
                'title' => __('Podcast Language', 'sonus-admin'),
                'subtitle' => __('Podcast Language', 'sonus-admin'),
                'default' => "en",
            ), 

            array(
                'id' => 'feed-copyrights',
                'type' => 'text',
                'title' => __('Copyright Text', 'sonus-admin'),
                'subtitle' => __('Copyright Text', 'sonus-admin'),
                'default' => 'All Rights Reserved.'
            ),

            array(
                'id' => 'feed-author',
                'type' => 'text',
                'title' => __('Author Name', 'sonus-admin'),
                'subtitle' => __('Author Name', 'sonus-admin'),
                'default' => get_bloginfo('name'),
            ),

            array(
                'id' => 'feed-summary',
                'type' => 'textarea',
                'title' => __('Summary', 'sonus-admin'),
                'subtitle' => __('Summary', 'sonus-admin'),
                'default' => get_bloginfo('description'),
            ),

            array(
                'id' => 'feed-description',
                'type' => 'textarea',
                'title' => __('Description', 'sonus-admin'),
                'subtitle' => __('Description', 'sonus-admin'),
                'default' =>  '',
            ),

            array(
                'id' => 'owner-name',
                'type' => 'text',
                'title' => __('Owner Name', 'sonus-admin'),
                'subtitle' => __('Owner Name', 'sonus-admin'),
                'default' => get_bloginfo('name'),
            ),
            array(
                'id' => 'owner-mail',
                'type' => 'text',
                'title' => __('Owner Mail Adress', 'sonus-admin'),
                'subtitle' => __('Owner Mail Address', 'sonus-admin'),
                'default' => get_bloginfo('admin_email'),
            ),

            array(
                'id' => 'feed-explicit',
                'type' => 'select',
                'title' => __('Explicit?', 'sonus-admin'),
                'options' => array(
                    'yes' => "Yes. It's Explicit Content",
                    'no' => 'No',
                ),
                'default' => 'no',
            ),
            array(
                'id' => 'feed-main-category',
                'type' => 'select',
                'title' => __('Feed Main Category', 'sonus-admin'),
                'options' => array(
                    'Arts' => 'Arts',
                    'Business' => 'Business',
                    'Comedy' => 'Comedy',
                    'Education' => 'Education',
                    'Games &amp; Hobbies' => 'Games &amp; Hobbies',
                    'Government &amp; Organizations' => 'Government &amp; Organizations',
                    'Health' => 'Health',
                    'Kids &amp; Family' => 'Kids &amp; Family',
                    'Music' => 'Music',
                    'News &amp; Politics' => 'News &amp; Politics',
                    'Religion &amp; Spirituality' => 'Religion &amp; Spirituality',
                    'Science &amp; Medicine' => 'Science &amp; Medicine',
                    'Society &amp; Culture' => 'Society &amp; Culture',
                    'Sports &amp; Recreation' => 'Sports &amp; Recreation',
                    'Technology' => 'Technology',
                    'TV &amp; Film' => 'TV &amp; Film',
                ),
            ),
            array(
                'id' => 'feed-sub-category',
                'type' => 'select',
                'desc' => __('Your podcasts main category must be a sub-category of the main category selected above.', 'sonus-admin'),
                'title' => __('Feed Sub Category', 'sonus-admin'),
                //'options' => array('footer-large' => 'Large Footer', 'footer-small' => 'Small Footer'),
                'options'  => array(
                    'Arts' => array(
                        'Design' => 'Design',
                        'Fashion &amp; Beauty' => 'Fashion &amp; Beauty',
                        'Food' => 'Food',
                        'Literature' => 'Literature',
                        'Performing Arts' => 'Performing Arts',
                        'Visual Arts' => 'Visual Arts',
                    ),
                    'Business' => array(
                        'Business News' => 'Business News',
                        'Careers' => 'Careers',
                        'Investing' => 'Investing',
                        'Management &amp; Marketing' => 'Management &amp; Marketing',
                        'Shopping' => 'Shopping',
                    ),
                    'Education' => array(
                        'Education' => 'Education',
                        'Education Technology' => 'Education Technology',
                        'Higher Education' => 'Higher Education',
                        'K-12' => 'K-12',
                        'Language Courses' => 'Language Courses',
                        'Training' => 'Training',
                    ),
                    'Games &amp; Hobbies' => array(
                        'Automotive' => 'Automotive',
                        'Aviation' => 'Aviation',
                        'Hobbies' => 'Hobbies',
                        'Other Games' => 'Other Games',
                        'Video Games' => 'Video Games',
                    ),
                    'Government &amp; Organizations' => array(
                        'Local' => 'Local',
                        'National' => 'National',
                        'Non-Profit' => 'Non-Profit',
                        'Regional' => 'Regional',
                    ),
                    'Health' => array(
                        'Alternative Health' => 'Alternative Health',
                        'Fitness &amp; Nutrition' => 'Fitness &amp; Nutrition',
                        'Self-Help' => 'Self-Help',
                        'Sexuality' => 'Sexuality',
                    ),
                    'Religion &amp; Spirituality' => array(
                        'Buddhism' => 'Buddhism',
                        'Christianity' => 'Christianity',
                        'Hinduism' => 'Hinduism',
                        'Islam' => 'Islam',
                        'Judaism' => 'Judaism',
                        'Other' => 'Other',
                        'Spirituality' => 'Spirituality',
                    ),
                    'Science &amp; Medicine' => array(
                        'Medicine' => 'Medicine',
                        'Natural Sciences' => 'Natural Sciences',
                        'Social Sciences' => 'Social Sciences',
                    ),
                    'Society &amp; Culture' => array(
                        'History' => 'History',
                        'Personal Journals' => 'Personal Journals',
                        'Philosophy' => 'Philosophy',
                        'Places &amp; Travel' => 'Places &amp; Travel',
                    ),
                    'Sports &amp; Recreation' => array(
                        'Amateur' => 'Amateur',
                        'College &amp; High School' => 'College &amp; High School',
                        'Outdoor' => 'Outdoor',
                        'Professional' => 'Professional',
                    ),
                    'Technology' => array(
                        'Gadgets' => 'Gadgets',
                        'Tech News' => 'Tech News',
                        'Podcasting' => 'Podcasting',
                        'Software How-To' => 'Software How-To',
                    ),
                ),
            ),
            array(
                'id' => 'rss-feed-image',
                'type' => 'media',
                'title' => __('Feed Cover Image', 'sonus-admin'),
                'compiler' => 'true',
                'mode' => false, // Can be set to false to allow any media type, or can also be set to any mime type.
                'desc' => __('Apple said; Podcast feeds contain artwork that is a minimum size of 1400 x 1400 pixels and a maximum size of 3000 x 3000 pixels!', 'sonus-admin'),
            ),
            array(
                'id' => 'rss-feed-count',
                'type' => 'text',
                'title' => __('Podcast post count for feed', 'sonus-admin'),
                'subtitle' => __('Number of showing feed of subscribe', 'sonus-admin'),
                'default' => 10,
            ),
            array(
                'id' => 'rss-feed-url',
                'type' => 'text',
                'readonly' => true,
                'title' => __('Podcast RSS Feed Url', 'sonus-admin'),
                'subtitle' => __('Firstly you need to complete above requirements after that copy this url and use it.', 'sonus-admin'),
                'default' => $feed_url,
            ),
        ),
    ));

    /*
     * <--- END SECTIONS
     */

    /**
     * This is a test function that will let you see when the compiler hook occurs.
     * It only runs if a field    set with compiler=>true is changed.
     * */
    function compiler_action( $options, $css, $changed_values ) {
        echo '<h1>The compiler hook has run!</h1>';
        echo "<pre>";
        print_r( $changed_values ); // Values that have changed since the last save
        echo "</pre>";
        //print_r($options); //Option values
        //print_r($css); // Compiler selector CSS values  compiler => array( CSS SELECTORS )
    }

    /**
     * Custom function for the callback validation referenced above
     * */
    if ( ! function_exists( 'redux_validate_callback_function' ) ) {
        function redux_validate_callback_function( $field, $value, $existing_value ) {
            $error   = false;
            $warning = false;

            //do your validation
            if ( $value == 1 ) {
                $error = true;
                $value = $existing_value;
            } elseif ( $value == 2 ) {
                $warning = true;
                $value   = $existing_value;
            }

            $return['value'] = $value;

            if ( $error == true ) {
                $return['error'] = $field;
                $field['msg']    = 'your custom error message';
            }

            if ( $warning == true ) {
                $return['warning'] = $field;
                $field['msg']      = 'your custom warning message';
            }

            return $return;
        }
    }

    /**
     * Custom function for the callback referenced above
     */
    if ( ! function_exists( 'redux_my_custom_field' ) ) {
        function redux_my_custom_field( $field, $value ) {
            print_r( $field );
            echo '<br/>';
            print_r( $value );
        }
    }

    /**
     * Custom function for filtering the sections array. Good for child themes to override or add to the sections.
     * Simply include this function in the child themes functions.php file.
     * NOTE: the defined constants for URLs, and directories will NOT be available at this point in a child theme,
     * so you must use get_template_directory_uri() if you want to use any of the built in icons
     * */
    function dynamic_section( $sections ) {
        $sections[] = array(
            'title'  => esc_html__( 'Section via hook', 'sonus-admin' ),
            'desc'   => esc_html__( '<p class="description">This is a section created by adding a filter to the sections array. Can be used by child themes to add/remove sections from the options.</p>', 'sonus-admin' ),
            'icon'   => 'el el-paper-clip',
            // Leave this as a blank section, no options just some intro text set above.
            'fields' => array()
        );

        return $sections;
    }

    /**
     * Filter hook for filtering the args. Good for child themes to override or add to the args array. Can also be used in other functions.
     * */
    function change_arguments( $args ) {
        //$args['dev_mode'] = true;

        return $args;
    }

    /**
     * Filter hook for filtering the default value of any given field. Very useful in development mode.
     * */
    function change_defaults( $defaults ) {
        $defaults['str_replace'] = 'Testing filter hook!';

        return $defaults;
    }

    // Remove the demo link and the notice of integrated demo from the redux-framework plugin
    function remove_demo() {

        // Used to hide the demo mode link from the plugin page. Only used when Redux is a plugin.
        if ( class_exists( 'ReduxFrameworkPlugin' ) ) {

            // Used to hide the activation notice informing users of the demo panel. Only used when Redux is a plugin.
            remove_action( 'admin_notices', array( ReduxFrameworkPlugin::instance(), 'admin_notices' ) );
        }
    }

    $tracking = get_option( 'redux-framework-tracking' );
if ( $tracking && ( ! is_array( $tracking ) || empty( $tracking['allow-tracking'] ) ) ) {
    $tracking                   = array();
    $tracking['dev_mode']       = false;
    $tracking['allow_tracking'] = 'no';
    $tracking['tour']           = 0;
    update_option( 'redux-framework-tracking', $tracking );
}
}
?>