<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package sonus
*/

get_header();

$total_post_count = $wp_query->found_posts;
$displayed_post_count = $wp_query->post_count;
?>
<div class="container margint35">
	<div class="row">

		<div class="<?php echo (is_active_sidebar('sidebar-1')) ? "col-lg-8 col-sm-8" : "col-lg-12 col-sm-12"  ?> blog-index<?php if($total_post_count > $displayed_post_count){ echo " index-with-pagination"; } ?>">
			<?php
				if(have_posts()) : while(have_posts()) : the_post();
					get_template_part('framework/content');
				endwhile; else : 
			?>
			<div class="search-notice"><?php esc_attr_e('Your search returned no results. Please try a different keyword!','sonus'); ?></div>
			<?php 
				endif;
				sonus_pagination();
				wp_reset_postdata();
			?>
		</div>
		<div class="col-lg-4 col-sm-4 sticky-sidebar">
            <?php if ( is_active_sidebar('sidebar-1') ) { ?>
                <?php if(!function_exists('dynamic_sidebar') || !dynamic_sidebar('sidebar-1')) :  ?>
                    <?php 
				        $allowed_tag = array(
				            'a' => array(
				                'href' => array(),
				            ),
				        );
				    ?>                     
				    <?php echo sprintf(wp_kses( __( 'Please Add Widget from <a href="%s">here</a>', 'sonus' ), $allowed_tag),"wp-admin/widgets.php" ); ?>
                <?php endif; ?>
            <?php } ?>
        </div>
	</div>
</div>
<?php
get_footer();
?>