<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Sonus
 */
get_header(); 
global $sonus_opt;
if( have_posts() ) the_post(); 

if(empty($_SESSION['newsletterstatus'])){ $newsletterstatus = "show"; }else{ $newsletterstatus = $_SESSION['newsletterstatus']; }
$powerpress = get_post_meta( get_the_ID(), 'enclosure', true );

$this_is_podcast = 0;
if(sonus_is_podcast(get_the_ID())){
    $this_is_podcast = 1;
}elseif(!empty($powerpress)){
    $this_is_podcast = 1;
}else{
    $this_is_podcast = 0;
}

function sonus_setPostViews($postID) {
    $count_key = 'post_views_count';
    $count = get_post_meta($postID, $count_key, true);
    if($count==''){
        $count = 0;
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
    }else{
        $count++;
        update_post_meta($postID, $count_key, $count);
    }
}
sonus_setPostViews(get_the_ID());

$image = wp_get_attachment_image_src(get_post_thumbnail_id( $post->ID ), 'sonus-blog-single');
$image = $image[0];

if($sonus_opt['podcast-mode'] == 1){
    if($this_is_podcast == 1){
        $image = wp_get_attachment_image_src(get_post_thumbnail_id( $post->ID ), 'sonus-podcast-cover');
        $image = $image[0];
        $jump_list = get_post_meta( get_the_ID(), 'sonus_podcast-time-jump', true );
        $podcast_sponsor = get_post_meta( get_the_ID(), 'sonus_podcast-sponsor', true );
        $podcast_guest_name = get_post_meta( get_the_ID(), 'sonus_podcast-guest-name', true );
        $embed_file = get_post_meta( get_the_ID(), 'sonus_podcast-embed', true );
        $podcast_external = "";
        $podcast_file_id = get_post_meta( get_the_ID(), 'sonus_podcast-file', true );
        if($podcast_file_id == ""){
            $podcast_file_id = get_post_meta( get_the_ID(), 'sonus_podcast-file-external', true );
            $podcast_external = "yes";
        }
        if($podcast_file_id != ""){
            if($podcast_external != "yes"){
                $podcast_file = rwmb_meta( 'sonus_podcast-file' );
                $podcast_file_url = $podcast_file[$podcast_file_id]['url'];
                $podcast_file_duration = $podcast_file[$podcast_file_id]['length'];
                $podcast_file_size = podcast_size_filter($podcast_file[$podcast_file_id]['filesize']);
            }else{
                function sonus_convert_seconds_single($time){
                    $time = explode(':', $time);
                    if(count($time) != 2){
                        return ($time[0]*3600) + ($time[1]*60) + $time[2];
                    }else{
                        return ($time[0]*60) + $time[1];
                    }
                }
                $podcast_file_url = rwmb_meta( 'sonus_podcast-file-external','', get_the_ID() );
                $podcast_file_duration = rwmb_meta( 'sonus_podcast-file-external-duration','', get_the_ID() );
                $podcast_file_size = rwmb_meta( 'sonus_podcast-file-external-fsize','', get_the_ID() );
                $podcast_file_duration = sonus_convert_seconds_single($podcast_file_duration);
            }
        }
}}
?>
<?php if($sonus_opt['podcast-mode'] == 1){ if($this_is_podcast == 1){ ?>
<div class="single-podcast-box">
    <div class="single-podcast-wrapper<?php if($newsletterstatus == "show"){ echo " single-podcast-newsletter"; } ?>">
        <div class="container clearfix">
            <div class="pull-left single-podcast-profile"<?php if($podcast_file_id == "" && $embed_file == ""){ ?> style="background:url(<?php if(empty($image)){ $image = SONUS_IMAGES."/empty-podcast.png"; } echo esc_url($image); ?>) center center / cover;"
            <?php } ?>>
                <?php if($podcast_file_id != "" || $embed_file != ""){ if($podcast_file_id != ""){ ?>
                <div class="single-download-bar clearfix">
                    <div class="pull-left single-download-bar-left"><a class="listen-button" data-podcast-url="<?php echo esc_url($podcast_file_url); ?>" data-podcast-title="<?php the_title(); ?>" data-podcast-duration="<?php echo esc_attr($podcast_file_duration); ?>" href="#"><i class="fa fa-play"></i> <span><?php echo esc_attr__("Listen Now","sonus"); ?></span></a></div>
                    <div class="pull-left single-download-bar-right"><a href="<?php echo esc_url($podcast_file_url); ?>"><i class="fa fa-download"></i> <span class="single-download-bar-text"><?php echo esc_attr__("Download","sonus"); ?></span><span class="single-download-bar-size"><?php echo esc_attr($podcast_file_size); ?></span></a></div>
                </div>
                <div class="podcast-cover-image"><img class="img-responsive" src="<?php if(empty($image)){ $image = SONUS_IMAGES."/empty-podcast.png"; } echo esc_url($image); ?>" alt="<?php the_title(); ?>" /></div>
                <?php }else{ ?>
                <div class="embed-file">
                    <?php echo esc_attr($embed_file); ?>
                </div>
                <?php }} ?>
            </div>
            <div class="pull-left single-podcast-text<?php if(empty($jump_list) && empty($podcast_sponsor) && empty($podcast_guest_name)){ echo " single-time-empty"; } ?>">
                <div class="custom-slim-scroll">
                    <div class="podcast-breadcrumb"><?php sonus_breadcrumb(); ?></div>
                    <h1><?php the_title(); ?></h1>
                    <?php if(has_tag()){ ?><div class="podcast-tags clearfix"><?php the_tags(' '); ?></div><?php } ?>
                    <div class="podcast-text"><?php the_content(); ?></div>
                </div>
            </div>
            <div class="pull-left single-podcast-time<?php if(empty($jump_list) && empty($podcast_sponsor) && empty($podcast_guest_name)){ echo " single-time-empty"; } ?>">
                <?php if(!empty($jump_list)){ ?>
                <div class="time-jump-title"><?php echo __('TIME JUMP','sonus'); ?></div>
                <div class="time-jump-padding<?php if(!empty($podcast_sponsor)){ echo " podcast-sponsor-height"; } if(!empty($podcast_guest_name)){ echo " podcast-guest-height"; } ?>">
                    <div class="custom-slim-scroll-jump">
                        <div class="time-jump-list"><?php echo sonus_create_jump_list($jump_list); ?></div>
                    </div>
                </div>
                <?php } ?>
                <?php if(!empty($podcast_guest_name)){ 
                    $podcast_guest_desc = get_post_meta( get_the_ID(), 'sonus_podcast-guest-desc', true );
                    $podcast_guest_links = get_post_meta( get_the_ID(), 'sonus_podcast-guest-links', true );
                    $podcast_guest_image_id = get_post_meta( get_the_ID(), 'sonus_podcast-guest-image', true );
                    $podcast_guest_image = rwmb_meta( 'sonus_podcast-guest-image', array( 'size' => '' ) );
                ?>
                <div class="podcast-guest clearfix">
                    <div class="pull-left guest-profile-image">
                        <img src="<?php echo esc_url($podcast_guest_image[$podcast_guest_image_id]['url']); ?>" alt="<?php esc_attr_e("avatar","sonus"); ?>" />
                    </div>
                    <div class="pull-left guest-profile-desc">
                        <h5><?php echo esc_attr($podcast_guest_name); ?></h5>
                        <div><?php echo esc_attr($podcast_guest_desc); ?></div>
                        <div><?php $allowed_tag = array('a' => array('href' => array())); echo wp_kses($podcast_guest_links, $allowed_tag); ?></div>
                    </div>
                </div>
                <?php } ?>
                <?php if(!empty($podcast_sponsor)){ ?>
                <div class="podcast-sponsor">
                    <?php echo wp_kses_post($podcast_sponsor); ?>
                </div>
                <?php } ?>
            </div>
        </div>
        <div class="container clearfix prev-next-podcast">
            <div class="pull-left prev-podcast"><?php previous_post_link( '%link', '%title', TRUE, ' ', 'post_format' ); ?></div>
            <div class="pull-right next-podcast"><?php next_post_link( '%link', '%title', TRUE, ' ', 'post_format' ); ?></div>
        </div>
    </div>
</div>
<?php }} ?>
<?php if($sonus_opt['podcast-mode'] == 1){ if($this_is_podcast == 1){ ?>
<div class="container sonus-comments">
    <div class="row">
        <?php if($sonus_opt['sidebar-podcast'] == 1){ ?>
        <div class="col-lg-8 col-sm-8">
        <?php } ?>
        <?php comments_template('/comments-podcast.php'); ?>
        <?php if($sonus_opt['sidebar-podcast'] == 1){ ?>
        </div>
        <div class="col-lg-4 col-sm-4 sticky-sidebar margint40">
            <?php if ( is_active_sidebar('sidebar-podcast') ) { ?>
                <?php if(!function_exists('dynamic_sidebar') || !dynamic_sidebar('sidebar-podcast')) :  ?>
                    <?php 
                        $allowed_tag = array(
                            'a' => array(
                                'href' => array(),
                            ),
                        );
                    ?>                     
                    <?php echo sprintf(wp_kses( __( 'Please Add Widget from <a href="%s">here</a>', 'sonus' ), $allowed_tag),"wp-admin/widgets.php" ); ?>
                <?php endif; ?>
            <?php } ?>
        </div>
        <?php } ?>
    </div>
</div>
<?php }} ?>
<?php if($this_is_podcast == 1){}else{ ?>
<div class="container fitvids margint30">
    <div class="row">
        <div class="col-lg-12 marginb20 clearfix"><div class="podcast-breadcrumb"><?php sonus_breadcrumb(); ?></div></div>
        <div class="col-lg-8 col-sm-8">
            <?php if($image){ ?>
            <img alt="<?php echo get_post_meta(get_post_thumbnail_id($post->ID) , "_wp_attachment_image_alt", true); ?>" class="img-responsive rsp-img-center" src="<?php echo esc_url($image); ?>">
            <?php } ?>
            <div class="post-cat margint15"><h6><?php the_category(', '); ?></h6></div>
            <h1 class="single-post-title margint5"><?php $title = get_the_title(); if($title != "" ) { echo esc_attr($title); }else{ echo esc_attr($post_date = get_the_date('F j')); } ?></h1>
            <div class="post-elements clearfix"><!-- Post Materials -->
                <ul class="clearfix">
                    <li><h6><?php echo esc_attr__("by","sonus"); ?> <?php the_author_posts_link(); ?><h6></li>
                    <?php if(comments_open() && !post_password_required()){ ?> 
                    <li>
                        <h6>
                            <span class="blog-post-comments">
                                <i class="fa fa-comments-o"></i> 
                                <?php comments_popup_link( esc_html__('No comments yet','sonus'), esc_html__('1 Comment','sonus'), esc_html__('% Comments','sonus'), 'comments-link', esc_html__('Comments are off for this post','sonus')); ?>
                            </span>
                        <h6>
                    </li>
                    <?php } ?>
                    <li>
                        <a class="element-date date" title="<?php echo esc_attr($post_date = get_the_date('F j, Y g:i')); ?>" href="<?php the_permalink(); ?>"><?php echo esc_attr($post_date = get_the_date()); ?></a>
                    </li>
                </ul>
            </div>
            <div class="post-text margint10">
                <?php the_content(); wp_link_pages('before=<div class="post-paginate">&after=</div>');?>
            </div>
            <?php if(has_tag()){ ?>
            <div class="blog-post-tag clearfix">
                <?php echo "<span>".esc_attr__("TAGS: ","sonus")."</span>"; the_tags(' ', ', ', ' '); ?>
            </div>
            <?php } ?>
            <?php if($sonus_opt['author-box'] == 1){ ?>
            <div class="author-post margint20 clearfix">
                <div class="row">
                    <div class="col-lg-2 col-sm-3 col-xs-12">
                        <div class="author-img">
                            <?php $avatar_url = sonus_get_avatar_url(get_the_author_meta('ID'), $size = '100'); ?>
                            <img alt='<?php esc_attr_e("avatar","sonus"); ?>' class="img-responsive" src="<?php echo esc_url($avatar_url); ?>">
                        </div>
                    </div>
                    <div class="col-lg-10 col-sm-9 col-xs-12 author-title">
                        <h5><?php the_author_posts_link(); ?></h5>
                        <p class="author-desc margint10"><?php the_author_meta('description'); ?></p>
                    </div>
                </div>
            </div>
            <?php } ?>
            <?php if($sonus_opt['related-posts'] == 1){ ?>
            <div class="prev-next clearfix">
                <div class="row">
                    <?php
                    $next_post = get_next_post();
                    if (!empty( $next_post )): 
                        $next_title = strlen($next_post->post_title);
                    ?>
                    <div class="col-lg-6 prev-blog-single pull-left">
                        <a class="prev" href="<?php echo get_permalink( $next_post->ID ); ?>">
                            <?php if(has_post_thumbnail( $next_post->ID)) { ?>
                            <div class="pull-left next-post-thumbnail">
                                <?php echo get_the_post_thumbnail($next_post->ID, 'sonus-blog-thumbnail' ); ?>
                            </div>
                            <?php } ?>
                            <div class="pull-left next-post-title">
                                <div class="pre-ne"><?php esc_html_e("Next Post","sonus"); ?></div>
                                <h4><?php if(!empty($next_post->post_title)){ echo esc_attr($next_post->post_title); }else { echo get_the_date('j F Y'); } ?></h4>
                            </div>
                        </a>
                    </div>
                    <?php endif; ?> 

                    <?php
                    $prev_post = get_previous_post();
                    if (!empty( $prev_post )): 
                        $prev_title = strlen($prev_post->post_title);
                    ?>
                    <div class="col-lg-6 next-blog-single pull-right">
                        <a class="next" href="<?php echo get_permalink( $prev_post->ID ); ?>">
                            <?php if(has_post_thumbnail( $prev_post->ID)) { ?>
                            <div class="pull-right prev-post-thumbnail">
                                <?php  echo get_the_post_thumbnail($prev_post->ID, 'sonus-blog-thumbnail' ); ?>
                            </div>
                            <?php } ?>
                            <div class="pull-right prev-post-title">
                                <div class="pre-ne"><?php esc_html_e("Prev Post","sonus"); ?></div>
                                <h4><?php if(!empty($prev_post->post_title)){ echo esc_attr($prev_post->post_title); }else { echo get_the_date('j F Y'); } ?></h4>
                            </div>
                        </a> 
                    </div>  
                    <?php endif; ?> 
                </div>
            </div>
            <?php } ?>
            <?php comments_template(); ?>
        </div>
        <div class="col-lg-4 col-sm-4 sticky-sidebar">
            <?php if ( is_active_sidebar('sidebar-1') ) { ?>
                <?php if(!function_exists('dynamic_sidebar') || !dynamic_sidebar('sidebar-1')) :  ?>
                    <?php 
                        $allowed_tag = array(
                            'a' => array(
                                'href' => array(),
                            ),
                        );
                    ?>                     
                    <?php echo sprintf(wp_kses( __( 'Please Add Widget from <a href="%s">here</a>', 'sonus' ), $allowed_tag),"wp-admin/widgets.php" ); ?>
                <?php endif; ?>
            <?php } ?>
        </div>
    </div>
</div>
<?php } ?>

<?php get_footer(); ?>